Main Page Modules Data Structures File List Data Fields Globals Related Pages

# popt/poptint.h File Reference

More...

Go to the source code of this file.

## Data Structures

struct | optionStackEntry
struct | pbm_set
struct | poptContext_s

## Defines

#define | __PBM_NBITS (8 * sizeof (__pbm_bits))
#define | __PBM_IX(d) ((d) / __PBM_NBITS)
#define | __PBM_MASK(d) ((__pbm_bits) 1 << (((unsigned)(d)) % __PBM_NBITS))
#define | __PBM_BITS(set) ((set)->bits)
#define | PBM_ALLOC(d) calloc(__PBM_IX (d) + 1, sizeof(__pbm_bits))
#define | PBM_FREE(s) _free(s);
#define | PBM_SET(d, s) (__PBM_BITS (s)[__PBM_IX (d)] |= __PBM_MASK (d))
#define | PBM_CLR(d, s) (__PBM_BITS (s)[__PBM_IX (d)] &= ~__PBM_MASK (d))
#define | PBM_ISSET(d, s) ((__PBM_BITS (s)[__PBM_IX (d)] & __PBM_MASK (d)) != 0)
#define | _(foo) foo
#define | D_(dom, str) str
#define | POPT_(foo) foo
#define | N_(foo) foo

## Typedefs

typedef unsigned int | __pbm_bits

## Functions

void * | _free (const void *p)
| Wrapper to free(3), hides const compilation noise, permit NULL, return NULL. More...

## Detailed Description

Definition in file poptint.h.

## Define Documentation

#define _ | ( | foo |  | ) | foo

| Definition at line 103 of file poptint.h.

#define __PBM_BITS | ( | set |  | ) | ((set)->bits)

| Definition at line 37 of file poptint.h.

#define __PBM_IX | ( | d |  | ) | ((d) / __PBM_NBITS)

| Definition at line 30 of file poptint.h.

#define __PBM_MASK | ( | d |  | ) | ((__pbm_bits) 1 << (((unsigned)(d)) % __PBM_NBITS))

| Definition at line 31 of file poptint.h.

#define __PBM_NBITS (8 * sizeof (__pbm_bits))

| Definition at line 29 of file poptint.h.

#define D_ | ( | dom,
|  | str |  | ) | str

| Definition at line 110 of file poptint.h. Referenced by getArgDescrip, singleOptionDefaultValue, singleOptionHelp, and singleTableHelp.

#define N_ | ( | foo |  | ) | foo

| Definition at line 114 of file poptint.h.

#define PBM_ALLOC | ( | d |  | ) | calloc(__PBM_IX (d) + 1, sizeof(__pbm_bits))

| Definition at line 39 of file poptint.h.

#define PBM_CLR | ( | d,
|  | s |  | ) | (__PBM_BITS (s)[__PBM_IX (d)] &= ~__PBM_MASK (d))

| Definition at line 42 of file poptint.h.

#define PBM_FREE | ( | s |  | ) | _free(s);

| Definition at line 40 of file poptint.h.

#define PBM_ISSET | ( | d,
|  | s |  | ) | ((__PBM_BITS (s)[__PBM_IX (d)] & __PBM_MASK (d)) != 0)

| Definition at line 43 of file poptint.h.

#define PBM_SET | ( | d,
|  | s |  | ) | (__PBM_BITS (s)[__PBM_IX (d)] |= __PBM_MASK (d))

| Definition at line 41 of file poptint.h.

#define POPT_ | ( | foo |  | ) | foo

| Definition at line 111 of file poptint.h. Referenced by getArgDescrip, poptGetNextOpt, poptPrintHelp, poptStrerror, showHelpIntro, and strerror.

## Typedef Documentation

typedef unsigned int __pbm_bits

| Definition at line 27 of file poptint.h.

## Function Documentation

void* _free | ( | const void * | p | ) | `[inline, static]`

Wrapper to free(3), hides const compilation noise, permit NULL, return NULL.

Parameters:

  p | memory to free

Return values:

  NULL | always

Definition at line 18 of file poptint.h.

Referenced by addFileToTagAux, addOrAppendListEntry, addSource, armorFormat, base64Format, buildForTarget, checkFiles, checkPackageSet, cleanOSE, closeCallback, closeSpec, cpio_doio, db3close, db3open, db3stat, db_init, dbiFreeIndexSet, dbiTagsInit, defaultMachine, delTE, doBuildFileList, doHeaderUnload, domd5, doPatch, doReadRC, doRmSource, doScript, doSetupMacro, doUntar, expandFilelist, fillOutMainPackage, formatValue, freeAttrRec, freeBadDeps, freeExtensionCache, freeFileList, freeFilesystems, freeFormat, freeItem, freeItems, freeNames, freePackage, freeRpmVar, freeSl, freeSources, freeSpec, freeSplitString, freeSt, freeStringBuf, freeTriggerFiles, fssizesTag, genCpioListAndHeader, generateDepends, getFilesystemList, handlePreambleTag, hdr_dealloc, hdrSprintf, hdrUnload, headerAddI18NString, headerCopyLoad, headerFree, headerFreeIterator, headerFreeTag, headerLoad, headerModifyEntry, headerRead, headerReload, headerRemoveEntry, headerSprintf, headerWrite, htFree, i18nTag, IDTXfree, IDTXglob, ignoreDep, initGlobs, machCompatCacheAdd, machFindEquivs, main, makeGPGSignature, makeHDRSignature, makePGPSignature, makeTempFile, miFreeHeader, mungeFilelist, newRpmdb, packageBinaries, packageSources, parseDescription, parseExpressionBoolean, parseExpressionString, parseFiles, parseForRegexLang, parseForRegexMultiLib, parseForSimple, parseRCPOT, parseScript, parseSpec, permsFormat, pgpCleanDig, pgpFreeDig, pgpHexSet, pgpReadPkts, popMacro, poptFreeContext, poptGetNextOpt, poptResetContext, poptSetExecPath, poptSetOtherOptionHelp, printFileInfo, printNewSpecfile, processBinaryFile, processPackageFiles, processSourceFiles, pushMacro, readIcon, readLine, rhnUnload, rpmalAllFileSatisfiesDepend, rpmalDel, rpmalFree, rpmalFreeIndex, rpmcliAllArgCallback, rpmcliImportPubkey, rpmcliImportPubkeys, rpmdbAdd, rpmdbClose, rpmdbFindByFile, rpmdbFindFpList, rpmdbFreeIterator, rpmdbInitIterator, rpmdbNextIterator, rpmdbRebuild, rpmdbRemove, rpmdbSetIteratorRE, rpmDetectPGPVersion, rpmdsCompare, rpmdsFree, rpmdsNext, rpmExpandNumeric, rpmfd_Fopen, rpmFreeMacros, rpmFreeRpmrc, rpmGenPath, rpmGetFilesystemUsage, rpmGetPassPhrase, rpmGetRpmlibProvides, rpmGlob, rpmGraph, rpmInitMacros, rpmInstall, rpmInstallSource, rpmLookupSignatureType, rpmMergeHeaders, rpmPlatform, rpmpsFree, rpmpsPrint, rpmQueryVerify, rpmReadConfigFiles, rpmReadHeader, rpmReadPackageFile, rpmReadPackageManifest, rpmReadRC, rpmRebuildTargetVars, rpmReSign, rpmRollback, rpmSetMachine, rpmSetVarArch, rpmShowProgress, rpmteFree, rpmteFreeTSI, rpmts_GetKeys, rpmts_HdrCheck, rpmts_IDTXglob, rpmtsAvailable, rpmtsClean, rpmtsFindPubkey, rpmtsFree, rpmtsInitDSI, rpmtsOpenDB, rpmtsOpenSDB, rpmtsOrder, rpmtsSetCurrDir, rpmtsSetRootDir, rpmtsSolve, setPathDefault, showQueryPackage, singleOptionDefaultValue, singleOptionHelp, triggercondsTag, urlFind, urlFreeCache, urlSplit, valueFree, verifyMD5Signature, verifyPGPSignature, verifySHA1Signature, writeRPM, XrpmtsiFree, XurlFree, and zapRelation.